执行bin/python3 tools/pre.py -u argo报错

用户1611197809 1个月前
180次浏览 0人关注 复制链接 所属标签: 安装部署 部署

[root@ark1 go]# bin/python3 tools/pre.py -u argo
2021-01-21 11:29:53,105-INFO:ark1.analysys.xyz : useradd argo with sudo permission
2021-01-21 11:30:24,049-INFO:ark1.analysys.xyz : argo gen_key
Traceback (most recent call last):
File "/home/go/env/python3/lib/python3.6/site-packages/pexpect/expect.py", line 111, in expect_loop
incoming = spawn.read_nonblocking(spawn.maxread, timeout)
File "/home/go/env/python3/lib/python3.6/site-packages/pexpect/pty_spawn.py", line 509, in read_nonblocking
raise TIMEOUT('Timeout exceeded.')
pexpect.exceptions.TIMEOUT: Timeout exceeded.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "tools/pre.py", line 134, in <module>
base.login_passwd_gen_key(new_user,host_infos['IP'],new_user_passwd,False,host_infos['PORT'])
File "/home/go/common/pycommon/utils/base.py", line 311, in login_passwd_gen_key
if ex.expect([CMD_END])==0:
File "/home/go/env/python3/lib/python3.6/site-packages/pexpect/spawnbase.py", line 341, in expect
timeout, searchwindowsize, async_)
File "/home/go/env/python3/lib/python3.6/site-packages/pexpect/spawnbase.py", line 369, in expect_list
return exp.expect_loop(timeout)
File "/home/go/env/python3/lib/python3.6/site-packages/pexpect/expect.py", line 119, in expect_loop
return self.timeout(e)
File "/home/go/env/python3/lib/python3.6/site-packages/pexpect/expect.py", line 82, in timeout
raise TIMEOUT(msg)
pexpect.exceptions.TIMEOUT: Timeout exceeded.
<pexpect.pty_spawn.spawn object at 0x7fa9377eeb38>
command: /usr/bin/ssh
args: [b'/usr/bin/ssh', b'argo@192.168.1.53', b'-p', b'22']
buffer (last 100 chars): ": \r\nPermission denied, please try again.\r\r\nargo@192.168.1.53's password: "
before (last 100 chars): ": \r\nPermission denied, please try again.\r\r\nargo@192.168.1.53's password: "
after: <class 'pexpect.exceptions.TIMEOUT'>
match: None
match_index: None
exitstatus: None
flag_eof: False
pid: 26393
child_fd: 8
closed: False
timeout: 30
delimiter: <class 'pexpect.exceptions.EOF'>
logfile: None
logfile_read: None
logfile_send: None
maxread: 2000
ignorecase: False
searchwindowsize: None
delaybeforesend: 0.05
delayafterclose: 0.1
delayafterterminate: 0.1
searcher: searcher_re:
0: re.compile('\\$|\\#')

14条回答
用户1611198790 1个月前

一样的报错  而且

有用0 评论0
朱楠@Argo运营 1个月前

安装过程中如遇到问题可先自行查看日志 /tmp/pre.log

有用0 评论3
登录后可参与回答,请 登录
用户1611197809 回复 朱楠@Argo运营 1个月前

pre.log这个错

有用0 评论
登录后可参与回答,请 登录
heqi 回复 用户1611197809 1个月前

手工用argo用户进行ssh key登录试试呢,看看是key没生成,还是key有问题

有用0 评论
登录后可参与回答,请 登录
用户1613635979 回复 heqi 1周前

老师使用argo用户进行ssh免密登录失败,执行步骤10的时候,并没有产生key;请问接下来该如何解决呢?

有用0 评论
heqi 1个月前

报错能截全一些吗

有用0 评论1
登录后可参与回答,请 登录
用户1611197809 回复 heqi 1个月前

问题已更新,麻烦帮看下

有用0 评论
heqi 1个月前

1.看下/tmp/pre.log日志
2.看看argo用户的ssh key生成了没有,试着免密登录看看是否有问题。

有用0 评论0
用户1611198790 1个月前

2021-01-21 14:06:32,406-DEBUG:save known_hosts
2021-01-21 14:06:32,457-DEBUG:passwd
2021-01-21 14:06:33,131-DEBUG:login ark1.analysys.xyz seccessed
2021-01-21 14:06:33,302-DEBUG:passwd
2021-01-21 14:06:33,942-INFO:ssh permision test
+------+-------------------+-------+
| Item | ark1.analysys.xyz | State |
+------+-------------------+-------+
| IP | 192.168.200.191 | Pass |
+------+-------------------+-------+
2021-01-21 14:06:39,837-INFO:ark1.analysys.xyz : modify hostname->ark1.analysys.xyz and append hosts to /etc/hosts
2021-01-21 14:06:40,597-DEBUG:cmd:sudo su -c "hostnamectl set-hostname ark1 && echo -e '127.0.0.1 localhost localhost.localdomain localhost4 localhost4.localdomain4
::1 localhost localhost.localdomain localhost6 localhost6.localdomain6
192.168.200.191 ark1.analysys.xyz ark1\n' > /etc/hosts " stdout: stderr:
2021-01-21 14:06:46,615-INFO:ark1.analysys.xyz : useradd argo with sudo permission
2021-01-21 14:06:46,704-DEBUG:passwd
2021-01-21 14:07:17,230-DEBUG:Timeout exceeded.
<pexpect.pty_spawn.spawn object at 0x7f0d5e742eb8>
command: /usr/bin/ssh
args: [b'/usr/bin/ssh', b'root@192.168.200.191', b'-p', b'22']
buffer (last 100 chars): ' sudo passwd argo\r\n更改用户 argo 的密码 。\r\n新的 密码:'
before (last 100 chars): ' sudo passwd argo\r\n更改用户 argo 的密码 。\r\n新的 密码:'
after: <class 'pexpect.exceptions.TIMEOUT'>
match: None
match_index: None
exitstatus: None
flag_eof: False
pid: 17570
child_fd: 7
closed: False
timeout: 30
delimiter: <class 'pexpect.exceptions.EOF'>
logfile: None
logfile_read: None
logfile_send: None
maxread: 2000
ignorecase: False
searchwindowsize: None
delaybeforesend: 0.05
delayafterclose: 0.1
delayafterterminate: 0.1
searcher: searcher_re:
0: re.compile('New password:')
2021-01-21 14:07:17,230-INFO:ark1.analysys.xyz : argo gen_key
2021-01-21 14:07:17,338-DEBUG:passwd
2021-01-21 14:14:39,479-INFO:ark1.analysys.xyz : useradd argo with sudo permission
2021-01-21 14:14:40,028-DEBUG:passwd
2021-01-21 14:15:10,821-DEBUG:Timeout exceeded.
<pexpect.pty_spawn.spawn object at 0x7f6bbae07ef0>
command: /usr/bin/ssh
args: [b'/usr/bin/ssh', b'root@192.168.200.191', b'-p', b'22']
buffer (last 100 chars): ' sudo passwd argo\r\n更改用户 argo 的密码 。\r\n新的 密码:'
before (last 100 chars): ' sudo passwd argo\r\n更改用户 argo 的密码 。\r\n新的 密码:'
after: <class 'pexpect.exceptions.TIMEOUT'>
match: None
match_index: None
exitstatus: None
flag_eof: False
pid: 17667
child_fd: 7
closed: False
timeout: 30
delimiter: <class 'pexpect.exceptions.EOF'>
logfile: None
logfile_read: None
logfile_send: None
maxread: 2000
ignorecase: False
searchwindowsize: None
delaybeforesend: 0.05
delayafterclose: 0.1
delayafterterminate: 0.1
searcher: searcher_re:
0: re.compile('New password:')
2021-01-21 14:15:10,822-INFO:ark1.analysys.xyz : argo gen_key
2021-01-21 14:15:10,891-DEBUG:passwd

有用0 评论3
登录后可参与回答,请 登录
用户1611198790 回复 用户1611198790 1个月前

是不是pre.py 脚本有问题?   一步一步 按照教程来的  是安装不了的  

有用0 评论
登录后可参与回答,请 登录
用户1611198790 回复 用户1611198790 1个月前

没人回答吗?   我已经重装过很多次 也是这个问题

有用0 评论
登录后可参与回答,请 登录
heqi 回复 用户1611198790 1个月前

你本地用argo用户手工ssh本地可以通吗?

有用0 评论
用户1613635979 1周前

您好,我也遇到同样的问题,检查了下ssh免密不成功。

该如何解决呢?

有用0 评论0
用户1613635979 1周前

执行创建argo用户的时候,并没有生成Key证书是怎么回事呢?

有用0 评论0